---
apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  annotations:
    controller-gen.kubebuilder.io/version: v0.16.5
    operatorframework.io/installed-alongside-54b53cff721cb66d: openshift-adp/oadp-operator.v1.5.2
    operatorframework.io/installed-alongside-aee38e6057cbc630: openshift-migration/oadp-operator.v1.5.2
  creationTimestamp: "2025-10-27T12:40:58Z"
  generation: 1
  labels:
    olm.managed: "true"
    operators.coreos.com/redhat-oadp-operator.openshift-adp: ""
    operators.coreos.com/redhat-oadp-operator.openshift-migration: ""
  managedFields:
  - apiVersion: apiextensions.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:acceptedNames:
          f:kind: {}
          f:listKind: {}
          f:plural: {}
          f:shortNames: {}
          f:singular: {}
        f:conditions:
          k:{"type":"Established"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"NamesAccepted"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
    manager: kube-apiserver
    operation: Update
    subresource: status
    time: "2025-10-27T12:40:58Z"
  - apiVersion: apiextensions.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:controller-gen.kubebuilder.io/version: {}
          f:operatorframework.io/installed-alongside-54b53cff721cb66d: {}
          f:operatorframework.io/installed-alongside-aee38e6057cbc630: {}
        f:labels:
          .: {}
          f:olm.managed: {}
      f:spec:
        f:conversion:
          .: {}
          f:strategy: {}
        f:group: {}
        f:names:
          f:kind: {}
          f:listKind: {}
          f:plural: {}
          f:shortNames: {}
          f:singular: {}
        f:scope: {}
        f:versions: {}
    manager: catalog
    operation: Update
    time: "2025-10-27T13:11:38Z"
  - apiVersion: apiextensions.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          f:operators.coreos.com/redhat-oadp-operator.openshift-adp: {}
          f:operators.coreos.com/redhat-oadp-operator.openshift-migration: {}
    manager: olm
    operation: Update
    time: "2025-10-27T13:11:50Z"
  name: serverstatusrequests.velero.io
  resourceVersion: "76863"
  uid: 29aa9754-65c4-4bd6-bdf6-f06b30b7437d
spec:
  conversion:
    strategy: None
  group: velero.io
  names:
    kind: ServerStatusRequest
    listKind: ServerStatusRequestList
    plural: serverstatusrequests
    shortNames:
    - ssr
    singular: serverstatusrequest
  scope: Namespaced
  versions:
  - name: v1
    schema:
      openAPIV3Schema:
        description: |-
          ServerStatusRequest is a request to access current status information about
          the Velero server.
        properties:
          apiVersion:
            description: |-
              APIVersion defines the versioned schema of this representation of an object.
              Servers should convert recognized schemas to the latest internal value, and
              may reject unrecognized values.
              More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources
            type: string
          kind:
            description: |-
              Kind is a string value representing the REST resource this object represents.
              Servers may infer this from the endpoint the client submits requests to.
              Cannot be updated.
              In CamelCase.
              More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
            type: string
          metadata:
            type: object
          spec:
            description: ServerStatusRequestSpec is the specification for a ServerStatusRequest.
            type: object
          status:
            description: ServerStatusRequestStatus is the current status of a ServerStatusRequest.
            properties:
              phase:
                description: Phase is the current lifecycle phase of the ServerStatusRequest.
                enum:
                - New
                - Processed
                type: string
              plugins:
                description: Plugins list information about the plugins running on
                  the Velero server
                items:
                  description: PluginInfo contains attributes of a Velero plugin
                  properties:
                    kind:
                      type: string
                    name:
                      type: string
                  required:
                  - kind
                  - name
                  type: object
                nullable: true
                type: array
              processedTimestamp:
                description: |-
                  ProcessedTimestamp is when the ServerStatusRequest was processed
                  by the ServerStatusRequestController.
                format: date-time
                nullable: true
                type: string
              serverVersion:
                description: ServerVersion is the Velero server version.
                type: string
            type: object
        type: object
    served: true
    storage: true
status:
  acceptedNames:
    kind: ServerStatusRequest
    listKind: ServerStatusRequestList
    plural: serverstatusrequests
    shortNames:
    - ssr
    singular: serverstatusrequest
  conditions:
  - lastTransitionTime: "2025-10-27T12:40:58Z"
    message: no conflicts found
    reason: NoConflicts
    status: "True"
    type: NamesAccepted
  - lastTransitionTime: "2025-10-27T12:40:58Z"
    message: the initial names have been accepted
    reason: InitialNamesAccepted
    status: "True"
    type: Established
  storedVersions:
  - v1
